<!--<?php 
if($threaddb){
print <<<EOT
-->
<table width="100%" style="table-layout:fixed;" class="z">
	<tbody id="threadlist">
	<tr class="tr2">
<!--
EOT;
if($managecheck){print <<<EOT
-->
			<td class="icon" width="50" style="padding:0;">&nbsp;</td>
<!--
EOT;
}else{print <<<EOT
-->
			<td class="icon" width="40" style="padding:0;">&nbsp;</td>
<!--
EOT;
}print <<<EOT
-->
		<td class="subject">文章</td>
<!--
EOT;
foreach ($threadColumnName as $key => $value) {
print<<<EOT
-->
		<td class="tal">$value</td>
<!--
EOT;
}print<<<EOT
-->
	</tr>
<!--
EOT;
$tpc_topped=0;
$searchname && $target= '_blank';
foreach($threaddb as $key => $thread){
$thread['postdate'] = get_date($thread['postdate'],'Y-m-d');
$thread['lstptime'] = get_date($thread['lastpost']);
print <<<EOT
-->
	<tr class="tr3">
		<td class="icon tac" width="40">
<!--
EOT;
if($managecheck){
if ($thread['fid'] == $fid) {
	$thread['adminbox'] = "<input type=\"checkbox\" autocomplete=\"off\" name=\"tidarray[]\" id=tid_{$thread[tid]} value=\"$thread[tid]\" onclick=\"postManage.show('postbatch','a_ajax_{$thread[tid]}')\" />";
} else {
	$thread['adminbox'] = "&nbsp;&nbsp;&nbsp;";
}
print <<<EOT
-->
$thread[adminbox]
<!--
EOT;
}
if($thread[topped]==4){print <<<EOT
-->
	<a href="read.php?tid={$thread[tid]}" target="_blank">
		<img src="$imgpath/pwicon/headtopic_$thread[topped].gif" align="absmiddle" alt="置頂帖" title="置頂帖"/>
	</a>			
<!--
EOT;
}elseif($thread[topped]){print <<<EOT
-->
	<a href="read.php?tid={$thread[tid]}" target="_blank">
		<img src="$imgpath/$stylepath/file/headtopic_$thread[topped].gif" align="absmiddle" alt="置頂帖" title="置頂帖"/>
	</a>
<!--
EOT;
}else{print <<<EOT
-->
	<a title="$tooltip" href="$thread[tpcurl]" target="_blank">$thread[status]</a>	
<!--
EOT;
}print <<<EOT
-->
	</td>
	<td class="subject f14" id="td_$thread[tid]">
<!--
EOT;
if($thread[digest]){print <<<EOT
-->
			<img class="fr" src="$imgpath/$stylepath/file/digest_$thread[digest].gif" align="absmiddle" style="margin-top:4px;" title="精華帖" />
<!--
EOT;
}if($thread[toolinfo]){print <<<EOT
-->
    		<span class="f14 s3">[$thread[toolinfo]]</span>
<!--
EOT;
}print <<<EOT
-->
			$thread[useriocn]
<!--
EOT;
if($forumset['addtpctype'] && $t_db[$thread['type']] && $thread['fid']==$fid){
if ($upid = $t_db[$thread['type']]['upid']) {print <<<EOT
-->
			<a href="thread.php?fid=$fid&type=$upid" class="f14">[{$t_db[$upid][name]}]</a>
<!--
EOT;
}print <<<EOT
-->
			<a href="thread.php?fid=$fid&type=$thread[type]" class="f14">[{$t_db[$thread[type]][name]}]</a>
<!--
EOT;
}if($thread['state'] == 0 && $thread['rewcredit'] > 0){print <<<EOT
-->
			<span class="s1 subject"> &#8212; 懸賞金額$thread[rewcredit] &#8212; </span>
<!--
EOT;
}print <<<EOT
-->
			<a href="$thread[tpcurl]" id="a_ajax_$thread[tid]" target="$target" class="f14">$thread[subject]</a>&nbsp; $thread[ifmark] $thread[titleadd] $thread[recommendadd]
<!--
EOT;
if(isset($thread['colony'])){print <<<EOT
-->
			<span class="gray w">[來自群︰<a href="apps.php?q=group&cyid={$thread[colony][cyid]}">{$thread[colony][cname]}</a>]</span>
<!--
EOT;
}if($timestamp-$thread[lastpost]<=$db_newtime){print <<<EOT
-->
			<img src="$imgpath/$stylepath/file/new.gif" align="absmiddle" title="新帖" />
<!--
EOT;
}if($forumset['inspect'] && $thread['inspect']){print <<<EOT
-->
			<span class="w"><font color="red">[{$thread[inspect][1]} 閱至 {$thread[inspect][0]}樓]</font></span>
<!--
EOT;
}if($thread[ispage]){print <<<EOT
-->
			<span class="w">$thread[ispage]</span>
<!--
EOT;
}print <<<EOT
-->
			&nbsp;<span class="s2">$thread[replyrewardtip]</span>
	</td>
<!--
EOT;
foreach($threadshowfield as $key => $value){
$topicvalue = $thread['topic'][$key];
print<<<EOT
-->
	<td class="tal">$topicvalue</td>
<!--
EOT;
}print<<<EOT
-->
	</tr>
<!--
EOT;
if($managemode==1){
$managemode_colspan = $colspannum -2;
if($db_ajax & 1){print <<<EOT
-->
    <tr class="tr3"><td></td><td>
	<div class="fr s8">[
<!--
EOT;
if($isGM || $pwSystem[digestadmin]){print <<<EOT
-->
		<a id="digest_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=digest&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="加入精華帖">精</a>
<!--
EOT;
}if($isGM || $pwSystem[lockadmin]){print <<<EOT
-->
		<a id="lock_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=lock&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="鎖定帖子不讓會員再回復帖子">鎖定</a>
<!--
EOT;
}if($isGM || $pwSystem[pushadmin]){print <<<EOT
-->
		<a id="pushtopic_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=pushtopic&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="提前帖子">提</a>
<!--
EOT;
}if($isGM || $pwSystem[downadmin]){print <<<EOT
-->
		<a id="downtopic_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=downtopic&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="將帖子往後壓">壓帖</a>
<!--
EOT;
}if($isGM || $pwSystem[coloradmin]){print <<<EOT
-->
		<a id="edit_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=edit&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="編輯標題">亮</a>
<!--
EOT;
}if($isGM || $pwSystem[topped]){print <<<EOT
-->
<a id="headtopic_$thread[tid]" style="cursor:pointer" onclick="sendmsg('mawhole.php?ajax=1&action=headtopic&fid=$thread[fid]&seltid=$thread[tid]','',this.id)" title="置頂主題:將主題置頂,以便會員查看">頂</a>
<!--
EOT;
}print <<<EOT
-->
] </div><td colspan="4"></td></td></tr>
<!--
EOT;
}else{print <<<EOT
-->
    <tr class="tr3"><td></td><td>
	<div class="fr s8"> [
<!--
EOT;
if($isGM || $pwSystem['digestadmin']){print <<<EOT
-->
		<a id="digest_$thread[tid]" href="mawhole.php?action=digest&fid=$thread[fid]&seltid=$thread[tid]" title="加入精華帖">精</a>
<!--
EOT;
}if($isGM || $pwSystem['lockadmin']){print <<<EOT
-->
		<a id="lock_$thread[tid]" href="mawhole.php?action=lock&fid=$thread[fid]&seltid=$thread[tid]" title="鎖定帖子不讓會員再回復帖子">鎖定</a>
<!--
EOT;
}if($isGM || $pwSystem['pushadmin']){print <<<EOT
-->
		<a id="pushtopic_$thread[tid]" href="mawhole.php?action=pushtopic&fid=$thread[fid]&seltid=$thread[tid]" title="提前帖子">提</a>
<!--
EOT;
}if($isGM || $pwSystem['downadmin']){print <<<EOT
-->
		<a id="downtopic_$thread[tid]" href="mawhole.php?action=downtopic&fid=$thread[fid]&seltid=$thread[tid]" title="將帖子往後壓">壓帖</a>
<!--
EOT;
}if($isGM || $pwSystem['coloradmin']){print <<<EOT
-->
		<a id="edit_$thread[tid]" href="mawhole.php?action=edit&fid=$thread[fid]&seltid=$thread[tid]" title="編輯標題">亮</a>
<!--
EOT;
}if($isGM || $pwSystem[topped]){print <<<EOT
-->
	<a id="headtopic_$thread[tid]" href="mawhole.php?action=headtopic&fid=$thread[fid]&seltid=$thread[tid]" title="置頂主題:將主題置頂,以便會員查看">頂</a>
<!--
EOT;
}print <<<EOT
-->
		] </div><td colspan="$managemode_colspan"></td></td></tr>
<!--
EOT;
}}print <<<EOT
-->

<!--
EOT;
}print <<<EOT
-->
	</tbody>
</table>
<!-- 
EOT;
}else{
print <<<EOT
-->
<div class="tac f14 p10">暫時沒有內容</div>
<!--
EOT;
}
?>